# Method: projects.locations.spaces.catalogs.shares.delete

- [HTTP request](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.catalogs.shares/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.catalogs.shares/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.catalogs.shares/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.catalogs.shares/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.catalogs.shares/delete#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.catalogs.shares/delete#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/application-design-center/docs/reference/rest/v1alpha/projects.locations.spaces.catalogs.shares/delete#try-it)

Deletes a catalog share.

### HTTP request

`DELETE https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/catalogs/*/shares/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The share name in the following format: `projects/$project/locations/$location/spaces/$space/catalogs/$catalog/shares/$share` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/application-design-center/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource:

- `designcenter.shares.delete`
- `designcenter.shares.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).